-Amélioré fonctions de download des packages
[hvlinux.git] / stage5 / pkg / php
index 2ff7172..ad91548 100644 (file)
@@ -1,67 +1,61 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-sed -i 's/const char \*errpfx,/const DB_ENV *dbenv, & const/' ext/dba/dba_db4.c
-
-# Since PHP 5, you need to explicitly bundle PHP with MySQL by --with-mysql directive
-# (make sure you specified path to where MySQL is installed on your system).
-
-# Build directory doesn't work:
-# gcc: Zend/zend_language_scanner.c: No such file or directory
-./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --with-apxs2=/usr/sbin/apxs \
-    --enable-force-cgi-redirect \
-    --enable-discard-path \
-    --with-config-file-path=/etc \
-    --with-zlib \
-    --enable-bcmath \
-    --with-bz2 \
-    --with-gd \
-    --with-freetype-dir=/usr \
-    --with-t1lib \
-    --enable-gd-native-ttf \
-    --enable-calendar \
-    --enable-dba \
-    --enable-exif \
-    --enable-ftp \
-    --with-gettext \
-    --enable-mbstring \
-    --with-ncurses \
-    --with-readline \
-    --with-openssl=/usr \
-    --with-ldap \
-    --with-mysql=/usr \
-    --with-imap=/usr/lib/uw-imap \
-    --with-imap-ssl=/usr/include/openssl
-make
-make install
-
-if [ -f /etc/php.ini ]; then
-    cp /etc/php.ini /etc/php.ini.old
-fi
-cp ../${1}/php.ini-dist /etc/php.ini
-
-# To enable PHP support in the Apache web server, a new AddType directive
-# must be added to the httpd.conf file.
-if ! grep "application/x-httpd-php" /etc/apache/httpd.conf 1> /dev/null 2>&1; then
-    echo "AddType application/x-httpd-php .php" >> /etc/apache/httpd.conf
-fi
-
-if ! grep "DirectoryIndex" /etc/apache/httpd.conf | grep "index.php" 1> /dev/null 2>&1; then
-    sed -i -e "s!\(^DirectoryIndex index.html.*\)!\1 index.php!g" /etc/apache/httpd.conf
-fi
-
-exit $?
+#!/bin/bash
+
+hvconfig_pre()
+{
+    sed -i 's/const char \*errpfx,/const DB_ENV *dbenv, & const/' \
+       ${LFS_TMP}/${PACKAGE}/ext/dba/dba_db4.c
+
+    # Since PHP 5, you need to explicitly bundle PHP with MySQL by --with-mysql
+    # directive (make sure you specified path to where MySQL is installed on
+    # your system).
+
+    # Build directory doesn't work:
+    # gcc: Zend/zend_language_scanner.c: No such file or directory
+    CONFIGURE_OPTS=" \
+        ${CONFIGURE_OPTS} \
+        --with-apxs2=/usr/sbin/apxs \
+        --enable-force-cgi-redirect \
+        --enable-discard-path \
+        --with-config-file-path=/etc \
+        --with-zlib \
+        --enable-bcmath \
+        --with-bz2 \
+        --with-gd \
+        --with-freetype-dir=/usr \
+        --with-t1lib \
+        --enable-gd-native-ttf \
+        --enable-calendar \
+        --enable-dba \
+        --enable-exif \
+        --enable-ftp \
+        --with-gettext \
+        --enable-mbstring \
+        --with-ncurses \
+        --with-readline \
+        --with-openssl=/usr \
+        --with-ldap \
+        --with-mysql=/usr \
+        --with-imap=/usr/lib/uw-imap \
+        --with-imap-ssl=/usr/include/openssl"
+}
+
+hvbuild_post()
+{
+    if [ -f /etc/php.ini ]; then
+        cp /etc/php.ini /etc/php.ini.old
+    fi
+    cp ${LFS_TMP}/${PACKAGE}/php.ini-dist /etc/php.ini
+
+    # To enable PHP support in the Apache web server, a new AddType directive
+    # must be added to the httpd.conf file.
+    if ! grep "application/x-httpd-php" /etc/apache/httpd.conf \
+        1> /dev/null 2>&1; then
+        echo "AddType application/x-httpd-php .php" >> /etc/apache/httpd.conf
+    fi
+
+    if ! grep "DirectoryIndex" /etc/apache/httpd.conf | grep "index.php" \
+        1> /dev/null 2>&1; then
+        sed -i -e "s!\(^DirectoryIndex index.html.*\)!\1 index.php!g" \
+            /etc/apache/httpd.conf
+    fi
+}